> For the complete documentation index, see [llms.txt](https://docs.dappling.network/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.dappling.network/api/errors.md).

# Errors

## 401

A 401 status code is returned if there is no authentication token included in the request headers.

```typescript
401 'Unauthenticated request. Must authenticate to access API'
```

## 403

A 403 status code is returned if there is a misconfigured authentication token in the request headers.

```typescript
403 'Forbidden request. Request is incorrectly configured for authorization.'
```

## 404

A 404 status code is returned if the requested domain is not currently being tracked within the dAppling database.

```typescript
404 'Not Found'
```

:cactus:*Fun Fact: Caffeine, which naturally occurs in coffee plants, serves as a pesticide to deter herbivores from eating them.*


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.dappling.network/api/errors.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
